########################################
# Derived definitions
########################################
%define name hb-extras
%define version 1.00
%define release 1
%define prefix /usr
%define libdir	%{_libdir}
#
%define ocfdir /usr/lib/ocf/resource.d/heartbeat
%define extdir %{_libdir}/stonith/plugins/external
%define installdir %{_libdir}/heartbeat/%{name}
#
#
#
Summary: Extra Scripts for Heartbeat2.1.4-1
Name: %{name}
Version: %{version}
Release: %{release}
Group: Applications
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: NIPPON TELEGRAPH AND TELEPHONE CORPORATION
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: make
Requires: heartbeat = 2.1.4-1

########################################
%description
Extra Scripts for Heartbeat 2.1.4-1
 * 2009/11/30
   * RA pgsql
      * improve logging
      * online backup
   * RA oracle
      * improve logging
   * RA oralsnr 1.0p2
      * improve logging
   * RA NVclient 1.4
   * RA VIPcheck 1.1
   * plugin stonith-wrapper 1.0

########################################
%prep
########################################
rm -rf $RPM_BUILD_ROOT

########################################
%setup -q
########################################

########################################
%build
########################################

########################################
%configure
########################################

########################################
%pre
########################################
if [ ! -e %{ocfdir}/pgsql.org -a ! -L %{ocfdir}/pgsql ]; then
        mv %{ocfdir}/pgsql %{ocfdir}/pgsql.org 

fi
if [ ! -e %{ocfdir}/oracle.org -a ! -L %{ocfdir}/oracle ]; then
        mv %{ocfdir}/oracle %{ocfdir}/oracle.org 
fi

if [ ! -e %{ocfdir}/oralsnr.org -a ! -L %{ocfdir}/oralsnr ]; then
        mv %{ocfdir}/oralsnr %{ocfdir}/oralsnr.org 
fi

########################################
%install
########################################
make DESTDIR=$RPM_BUILD_ROOT install

########################################
%clean
########################################
if
	[ -n "${RPM_BUILD_ROOT}"  -a "${RPM_BUILD_ROOT}" != "/" ]
then
	rm -rf $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

########################################
%post
########################################
ln -fs %{installdir}/pgsql %{ocfdir}/pgsql
ln -fs %{installdir}/oracle %{ocfdir}/oracle
ln -fs %{installdir}/oralsnr %{ocfdir}/oralsnr
ln -fs %{installdir}/NVclient %{ocfdir}/NVclient
ln -fs %{installdir}/VIPcheck %{ocfdir}/VIPcheck
ln -fs %{installdir}/stonith-wrapper %{extdir}/stonith-wrapper

########################################
%preun
########################################
true

########################################
%postun
########################################
if [ ! -e %{installdir}/pgsql ]; then
	rm -f %{ocfdir}/pgsql
        mv %{ocfdir}/pgsql.org %{ocfdir}/pgsql
fi

if [ ! -e %{installdir}/oracle ]; then
	rm -f %{ocfdir}/oracle
        mv %{ocfdir}/oracle.org %{ocfdir}/oracle
fi

if [ ! -e %{installdir}/oralsnr ]; then
	rm -f %{ocfdir}/oralsnr
        mv %{ocfdir}/oralsnr.org %{ocfdir}/oralsnr 
fi

if [ ! -e %{installdir}/NVclient ]; then
	rm -f %{ocfdir}/NVclient
fi

if [ ! -e %{installdir}/VIPcheck ]; then
	rm -f %{ocfdir}/VIPcheck
fi

if [ ! -e %{installdir}/stonith-wrapper ]; then
	rm -f %{extdir}/stonith-wrapper
fi

########################################
%files
########################################
%defattr(-,root,root)

%dir %{installdir}
%attr (755, root, root) %{installdir}/pgsql
%attr (755, root, root) %{installdir}/oracle
%attr (755, root, root) %{installdir}/oralsnr
%attr (755, root, root) %{installdir}/NVclient
%attr (755, root, root) %{installdir}/VIPcheck
%attr (755, root, root) %{installdir}/stonith-wrapper 

########################################
%changelog
########################################
* Tue Nov 30 2009 Junko IKEDA <ikedaj@intellilink.co.jp>
- initial release
